package nl.fampennings.buttonclick;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.Toast;

public class ButtonClickActivity extends Activity implements OnClickListener {
  Button But1;
  Button But2;
  Button But3;
  Button But4;
  Button But5;
  Button But6;
  Button But7;
  Button But8;
  Button But9;
  
  OnClickListener ButListener = new OnClickListener() {
    @Override
    public void onClick(View v) {
      String s= v==But7 ? "But7" : (v==But8?"But8":"?");
      Toast.makeText( getApplicationContext(), s, Toast.LENGTH_SHORT ).show();
    }
  };

  class But8OnClickListener implements OnClickListener {
    public void onClick(View v) {
      String s= "But8a" + this.getClass().getName() + " " + ButtonClickActivity.this.getClass().getName() ;
      Toast.makeText( getApplicationContext(), s, Toast.LENGTH_SHORT ).show();
    }
  }

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);
    
    But1= (Button)findViewById(R.id.But1);
    But2= (Button)findViewById(R.id.But2);
    But3= (Button)findViewById(R.id.But3);
    But4= (Button)findViewById(R.id.But4);
    But5= (Button)findViewById(R.id.But5);
    But6= (Button)findViewById(R.id.But6);
    But7= (Button)findViewById(R.id.But7);
    But8= (Button)findViewById(R.id.But8);
    
    But4.setOnClickListener(this);
    But5.setOnClickListener(this);
    
    But6.setOnClickListener( new OnClickListener() {
      @Override
      public void onClick(View v) {
        String s= "inline(But6), not "+But1.toString();
        Toast.makeText( getApplicationContext(), s, Toast.LENGTH_SHORT ).show();
      }
    });

    But7.setOnClickListener(ButListener);
    //But8.setOnClickListener(ButListener);
    But8.setOnClickListener( new But8OnClickListener() );
    
    LinearLayout layout = (LinearLayout) findViewById(R.id.LL);
    But9= new Button(this) {
      @Override
      public boolean performClick() {
        Toast.makeText( getApplicationContext(), "But9", Toast.LENGTH_SHORT ).show();
        return false;
      }
    };
    But9.setText("But9"); 
    layout.addView(But9); 
  }
  
  public void ButOnClickXml(View v) { 
    if( v==But1 )
      Toast.makeText( getApplicationContext(), "ButOnClickXml(But1)", Toast.LENGTH_SHORT ).show();
    else if( v==But3 )
      Toast.makeText( getApplicationContext(), "ButOnClickXml(But3)", Toast.LENGTH_SHORT ).show();
    else
      Toast.makeText( getApplicationContext(), "ButOnClickXml(?)", Toast.LENGTH_SHORT ).show();
  }

  public void But2OnClickXml(View v) {
    Toast.makeText( getApplicationContext(), "But2OnClickXml", Toast.LENGTH_SHORT ).show();
  }

  @Override
  public void onClick(View v) {
    if( v==But4 )
      Toast.makeText( getApplicationContext(), "onClick(But4)", Toast.LENGTH_SHORT ).show();
    else if( v==But5 )
      Toast.makeText( getApplicationContext(), "onClick(But5)", Toast.LENGTH_SHORT ).show();
    else
      Toast.makeText( getApplicationContext(), "onClick(?)", Toast.LENGTH_SHORT ).show();
  }


}